﻿@page "/counter"

<PageTitle>Counter</PageTitle>

<h1>Counter</h1>

<p role="status">Current count: @currentCount</p>
<p role="status">Current count: @currentCount3</p>

<button class="btn btn-primary" @onclick="IncrementCount">Click me</button>

<button class="btn btn-primary" @onclick="IncreaseCount3">Don't click me</button>

@code {
    private int currentCount = 0;

    private void IncrementCount()
    {
        currentCount+=2;
    }


    private int currentCount3 = 0;
    private void IncreaseCount3()
    {
        currentCount3+=3;
    }
}


